const express = require('express');

const userApp = express();

const libs = `${process.cwd()}/libs`;

const log = require(`${libs}/log`)(module);

const User = require('../models/user');


userApp.post('/', (req, res) => {
    if (!req.body.email || !req.body.password) {
        res.json({success: false, msg: 'Please pass email and password.'});
    } else {
        var newUser = new User({
            email: req.body.email,
            password: req.body.password
        });
        log.debug(newUser.email);
        // save the user
        newUser.save((err) => {
            if (err) {
                return res.json({success: false, msg: 'Email already in use.'});
            }
            res.json({success: true, msg: 'Successful created new user.'});
        });
    }
});

module.exports = userApp;
